package com.steering.pss.sale.price.entity;

/**
 * 数据库表SLM_PRICE_ADDPRICE_HEAD所对应的实体类（生成工具：代码生成器3.0）
 * @author JK-KF-WUHJ   date 2016-06-27
 */
@SuppressWarnings("serial")
public class SlmPriceAddpriceHeadEntity implements java.io.Serializable {
    /**
     * ID
     */
    private String priceaddId = "";
    /**
     * 头描述
     */
    private String priceaddDesc = "";
    /**
     * 类型（加价、优惠）
     */
    private String priceaddType = "";
    /**
     * 有效期起
     */
    private String validdateBegin = "";
    /**
     * 有效期止
     */
    private String validdateEnd = "";
    /**
     * 是否有效
     */
    private String validflag = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String caeateTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";

    /**
     * ID
     * @return value
     */
    public String getPriceaddId() {
        return priceaddId;
    }

    /**
     * ID
     * @param priceaddId value
     */
    public void setPriceaddId(String priceaddId) {
        this.priceaddId = priceaddId;
    }

    /**
     * 头描述
     * @return value
     */
    public String getPriceaddDesc() {
        return priceaddDesc;
    }

    /**
     * 头描述
     * @param priceaddDesc value
     */
    public void setPriceaddDesc(String priceaddDesc) {
        this.priceaddDesc = priceaddDesc;
    }

    /**
     * 类型（加价、优惠）
     * @return value
     */
    public String getPriceaddType() {
        return priceaddType;
    }

    /**
     * 类型（加价、优惠）
     * @param priceaddType value
     */
    public void setPriceaddType(String priceaddType) {
        this.priceaddType = priceaddType;
    }

    /**
     * 有效期起
     * @return value
     */
    public String getValiddateBegin() {
        return validdateBegin;
    }

    /**
     * 有效期起
     * @param validdateBegin value
     */
    public void setValiddateBegin(String validdateBegin) {
        this.validdateBegin = validdateBegin;
    }

    /**
     * 有效期止
     * @return value
     */
    public String getValiddateEnd() {
        return validdateEnd;
    }

    /**
     * 有效期止
     * @param validdateEnd value
     */
    public void setValiddateEnd(String validdateEnd) {
        this.validdateEnd = validdateEnd;
    }

    /**
     * 是否有效
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 是否有效
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCaeateTime() {
        return caeateTime;
    }

    /**
     * 创建时间
     * @param caeateTime value
     */
    public void setCaeateTime(String caeateTime) {
        this.caeateTime = caeateTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }
}
